Bug 1282113 - Latest sane fails to work with my scanner
Latest sane fails to work with my scanner
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 18:57 EST by Henrique Martins
Modified: 2016-12-08 08:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-08 08:23:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henrique Martins 2015-11-14 18:57:19 EST
Description of problem:
Updated to fc23, along came all the sane/xsane 1.0.25-1.fc23 packages and
my HP5300C scanner no longer works. (It's on USB)

Version-Release number of selected component (if applicable):
sane-backends.x86_6 1.0.25-1.fc23                                                                
sane-backends-doc.noarch 1.0.25-1.fc23                                                            
sane-backends-drivers-cameras.x86_64 1.0.25-1.fc23                                                
sane-backends-drivers-scanners.x86_64 1.0.25-1.fc23                                               
sane-backends-libs.x86_64 1.0.25-1.fc23                                                           
xsane.x86_64 0.999-19.fc23                                                                        
xsane-common.x86_64 0.999-19.fc23                                                                 
xsane-gimp.x86_64 0.999-19.fc23                                                                   

How reproducible:
Always

Steps to Reproduce:
1. normal operation

Actual results:
Scanner is found by sane-find-scanner.
Scanner is found by scanimage -L, as root only, I think.
xsane doesn't work either as root or normal user, with a "Failed to sart scanner: Error during device I/O.
At this point device is wedged and one needs to kill xsane, unplug the scanner and plug it back in.

Expected results:
Working scanner.

Additional info:
Downgraded to the fc22 1.0.24-14 versions and it work again.
Problem may be on sane-backends only, but I replaced all the xsane rpms too.
Comment 1 William Cummings 2015-12-23 07:44:32 EST
I have the same issue after upgrading to FC23 - scanner is found by sane-find-scanner, however xsane crashes immediately on loading.
Comment 2 William Cummings 2015-12-24 07:39:36 EST
Update - I managed to solve this by removing all modules referencing sane, then re-installing.
Comment 3 Oleksandr Zhabenko 2016-04-15 08:49:44 EDT
I have the same problem with CanoScan LiDE 210 flatbed scanner ('genesys' backend).
When I compiled the Gentoo Linux sane-backends in the chroot with the same devices from the Fedora working station and kernel, it works as expected.
Comment 4 Nils Philippsen 2016-10-14 07:47:51 EDT
Sorry for the late reply.

Henrique, Oleksander, can you reproduce this with the current development version of sane-backends? There are a number of USB related changes since 1.0.25 was released. Thanks!
Comment 5 Henrique Martins 2016-10-14 08:48:45 EDT
Sorry, cant' test this anymore.

I still have that HP ScanJet up in storage but have since replaced it, along with my older printer, with a Brother network printer/scanner that not only saves space as it works fine with sane's network backend.
Comment 6 Fedora End Of Life 2016-11-24 08:25:45 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Oleksandr Zhabenko 2016-12-05 15:04:37 EST
Sorry for my late response.
I have come to use CentOS 7 and there is no such an issue there with backends.
It is not so easy for me now to test the backends in Fedora, therefore.

Thank you for your support.
Comment 8 Nils Philippsen 2016-12-08 08:23:59 EST
Thanks fo rthe info! In that case I'll close the bug.

Note You need to log in before you can comment on or make changes to this bug.